POCH(3)

SYNOPSIS
FUNCTION POCH (A, X)

NAME
poch - Evaluate a generalization of Pochhammer's symbol.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C1, C7A

TYPE
SINGLE PRECISION (POCH-S, DPOCH-D)

KEYWORDS
FNLIB, POCHHAMMER, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate a generalization of Pochhammer's symbol (A)-sub-X = GAMMA(A+X)/GAMMA(A). For X a non-negative integer, POCH(A,X) is just Pochhammer's symbol. A and X are single precision. This is a preliminary version. Error handling when POCH(A,X) is less than half precision is probably incorrect. Grossly incorrect arguments are not handled properly.

REFERENCES
(NONE)

ROUTINES CALLED
ALGAMS, ALNREL, FAC, GAMMA, GAMR, R9LGMC, XERMSG

REVISION HISTORY (YYMMDD)
770701 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900727 Added EXTERNAL statement. (WRB)